/*
 * @Author: XianKaiQun
 * @Date: 2020-04-21 16:04:10
 * @LastEditors  : WuWei
 * @LastEditTime : 2023-08-03 16:10:00
 * @Descripttion: 
 */
import 'package:app_package/src/api/employee.dart';
import 'package:flutter/material.dart';
import 'package:wisdom_cli/wisdom_cli.dart';

import '../../../app_package.dart';
part 'store.dart';
part 'view.dart';

// part 'components/list.dart'; 取消注释这段代码，然后“快速修复”--“代码块tplcomponent”，可快速创建组件

///小区选择
class CommunityPage extends StatelessWidget {
  const CommunityPage({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return ChangeNotifierProvider(
      create: (_) => _Store(context),
      child: _PageView(),
      lazy: false, //取消懒加载，懒加载可能会导致获取路由传参不准确
    );
  }
}
